//+------------------------------------------------------------------+
//|                                             VininI_2MA&Table.mq4 |
//|                                Copyright  2010, Victor Nicolaev |
//|                                                    vinin.ucoz.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, Victor Nicolaev"
#property link      "vinin.ucoz.ru"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red
//---- input parameters
extern int       MA.Period1=13;
extern int       MA.Mode1=0;
extern int       MA.Period2=8;
extern int       MA.Mode2=0;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];

int MABAr[5];

string name="MA";

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   for (int i=0;i<5;i++) 
      if (ObjectFind(name+(i)) != -1 ) ObjectDelete(name+(i));
   

   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int counted_bars=IndicatorCounted();
   int i,j,
       limit=Bars-counted_bars;
   if (limit>1)
      limit=Bars-MathMax(MA.Period1,MA.Period2)-1;
   
   for (i=limit;i>=0;i--){
      ExtMapBuffer1[i]=iMA(NULL,0,MA.Period1,0,MA.Mode1,PRICE_CLOSE,i);
      ExtMapBuffer2[i]=iMA(NULL,0,MA.Period2,0,MA.Mode2,PRICE_CLOSE,i);
   }
   j=0;
   i=1;
   while (j<5) {
      if ((ExtMapBuffer1[i]-ExtMapBuffer2[i])*(ExtMapBuffer1[i+1]-ExtMapBuffer2[i+1])<=0) {
         MABAr[j]=i;
         j++;
      }
      i++;
   }
   MATable();
   return(0);
  }
//+------------------------------------------------------------------+


void MATable(){
   for (int i=0;i<5;i++){
      Object_field(name+(i), "" + (i+1) + "("+MABAr[i]+"): " + DoubleToStr(Close[MABAr[i]],Digits) , 15, 15*i, 10, "Calibri Bold", Yellow);
   
   }   


}

      
//+------------------------------------------------------------------+
//|                                         
//+------------------------------------------------------------------+
void Object_field(string name, string text, int X, int Y, int size, string Srift,color CL, int Angle=0) {
   if (ObjectFind(name) == -1 ) ObjectCreate(name, OBJ_LABEL, 0, 0, 0);
   ObjectSet(name, OBJPROP_CORNER, 1);
   ObjectSet(name, OBJPROP_COLOR, CL);
   ObjectSet(name, OBJPROP_XDISTANCE, X);
   ObjectSet(name, OBJPROP_YDISTANCE, Y);
   if (Angle!=0) ObjectSet(name, OBJPROP_ANGLE,Angle);
   ObjectSetText(name,text, size,Srift,CL);
return;   
}


